- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Functions
Panel

A panel is an animated side-panel that contains a sub-object. It can be expanded or contracted by clicking the button on its edge. More...

## Functions
EOAPI void | elm_obj_panel_orient_set (Elm_Panel_Orient orient)
| Sets the orientation of the panel. More...
EOAPI Elm_Panel_Orient | elm_obj_panel_orient_get (void)
| Get the orientation of the panel. More...
EOAPI void | elm_obj_panel_hidden_set (Eina_Bool hidden)
| Set the state of the panel. More...
EOAPI Eina_Bool | elm_obj_panel_hidden_get (void)
| Get the state of the panel. More...
EOAPI void | elm_obj_panel_scrollable_set (Eina_Bool scrollable)
| Set the scrollability of the panel. More...
EOAPI void | elm_obj_panel_scrollable_content_size_set (double ratio)
| Set the size of the scrollable panel. More...
EOAPI void | elm_obj_panel_toggle (void)
| Toggle the hidden state of the panel from code.
void | elm_panel::toggle () const
| Toggle the hidden state of the panel from code.
void | elm_panel_orient_set (Eo *obj, Elm_Panel_Orient orient)
| Sets the orientation of the panel. More...
Elm_Panel_Orient | elm_panel_orient_get (const Eo *obj)
| Get the orientation of the panel. More...
void | elm_panel_hidden_set (Eo *obj, Eina_Bool hidden)
| Set the state of the panel. More...
Eina_Bool | elm_panel_hidden_get (const Eo *obj)
| Get the state of the panel. More...
void | elm_panel_scrollable_set (Eo *obj, Eina_Bool scrollable)
| Set the scrollability of the panel. More...
void | elm_panel_scrollable_content_size_set (Eo *obj, double ratio)
| Set the size of the scrollable panel. More...
void | elm_panel_toggle (Eo *obj)
| Toggle the hidden state of the panel from code.
Evas_Object * | elm_panel_add (Evas_Object *parent)
| Adds a panel object. More...

## Detailed Description

A panel is an animated side-panel that contains a sub-object. It can be expanded or contracted by clicking the button on its edge.

Orientations are as follows:

- `ELM_PANEL_ORIENT_TOP`
- `ELM_PANEL_ORIENT_LEFT`
- `ELM_PANEL_ORIENT_RIGHT`
- `ELM_PANEL_ORIENT_BOTTOM`

This widget inherits from the Layout one, so that all the functions acting on it also work for panel objects (since 1.8).

This widget emits the following signals, besides the ones sent from Layout:

- `"scroll"` : When the content has been scrolled (moved). (since 1.10) This signal is emitted only when the panel is scrollable. Elm_Panel_Scroll_Info will be passed by `event_info` argument.
- `"focused"` : When the panel has received focus. (since 1.8)
- `"unfocused"` : When the panel has lost focus. (since 1.8)

Default content parts of the panel widget that you can use are:

- `"default"` - A content of the panel

Panel example shows one way to use this widget.

## Function Documentation

EOAPI Eina_Bool elm_obj_panel_hidden_get | ( | void |  | ) |

Get the state of the panel.

Returns
  EINA_TRUE if it is hidden state

Referenced by elm_panel_hidden_get().

EOAPI void elm_obj_panel_hidden_set | ( | Eina_Bool | hidden | ) |

Set the state of the panel.

Parameters

  [in] | hidden | If true, the panel will run the animation to disappear.

Referenced by elm_panel_hidden_set().

EOAPI Elm_Panel_Orient elm_obj_panel_orient_get | ( | void |  | ) |

Get the orientation of the panel.

Returns
  The Elm_Panel_Orient, or ELM_PANEL_ORIENT_LEFT on failure.

Referenced by elm_panel_orient_get().

EOAPI void elm_obj_panel_orient_set | ( | Elm_Panel_Orient | orient | ) |

Sets the orientation of the panel.

Sets from where the panel will (dis)appear.

Parameters

  [in] | orient | The panel orientation. Can be one of the following: ELM_PANEL_ORIENT_TOP ELM_PANEL_ORIENT_LEFT ELM_PANEL_ORIENT_RIGHT

Referenced by elm_panel_orient_set().

EOAPI void elm_obj_panel_scrollable_content_size_set | ( | double | ratio | ) |

Set the size of the scrollable panel.

Parameters

  [in] | ratio | No description supplied.

Referenced by elm_panel_scrollable_content_size_set().

EOAPI void elm_obj_panel_scrollable_set | ( | Eina_Bool | scrollable | ) |

Set the scrollability of the panel.

Parameters

  [in] | scrollable | No description supplied.

Referenced by elm_panel_scrollable_set().

Evas_Object* elm_panel_add | ( | Evas_Object * | parent | ) |

Adds a panel object.

Parameters

  parent | The parent object

Returns
  The panel object, or NULL on failure

Eina_Bool elm_panel_hidden_get | ( | const Eo * | obj | ) |

Get the state of the panel.

Returns
  EINA_TRUE if it is hidden state

References elm_obj_panel_hidden_get().

void elm_panel_hidden_set | ( | Eo * | obj,
|  | Eina_Bool | hidden
| ) |  |

Set the state of the panel.

Parameters

  [in] | hidden | If true, the panel will run the animation to disappear.

References elm_obj_panel_hidden_set().

Elm_Panel_Orient elm_panel_orient_get | ( | const Eo * | obj | ) |

Get the orientation of the panel.

Returns
  The Elm_Panel_Orient, or ELM_PANEL_ORIENT_LEFT on failure.

References elm_obj_panel_orient_get().

void elm_panel_orient_set | ( | Eo * | obj,
|  | Elm_Panel_Orient | orient
| ) |  |

Sets the orientation of the panel.

Sets from where the panel will (dis)appear.

Parameters

  [in] | orient | The panel orientation. Can be one of the following: ELM_PANEL_ORIENT_TOP ELM_PANEL_ORIENT_LEFT ELM_PANEL_ORIENT_RIGHT

References elm_obj_panel_orient_set().

void elm_panel_scrollable_content_size_set | ( | Eo * | obj,
|  | double | ratio
| ) |  |

Set the size of the scrollable panel.

Parameters

  [in] | ratio | No description supplied.

References elm_obj_panel_scrollable_content_size_set().

void elm_panel_scrollable_set | ( | Eo * | obj,
|  | Eina_Bool | scrollable
| ) |  |

Set the scrollability of the panel.

Parameters

  [in] | scrollable | No description supplied.

References elm_obj_panel_scrollable_set().